relaxngcc.codedom

## Class CDCastExpression

- java.lang.Object
- - relaxngcc.codedom.CDExpression
  - - relaxngcc.codedom.CDCastExpression

    public class CDCastExpression
    extends CDExpression

Author:
  Administrator To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.

### Constructor Summary

Constructors
Constructor and Description
`CDCastExpression(CDType type, CDExpression expr)`

### Method Summary

Methods
`void` `express(CDFormatter f)` Prints itself as an expression.

### Methods inherited from class relaxngcc.codedom.CDExpression

`_new, arrayRef, arrayRef, castTo, invoke, not, prop`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDCastExpression

    public CDCastExpression(CDType type,
                    CDExpression expr)

### Method Detail

#### express

    public void express(CDFormatter f)
                 throws java.io.IOException

Description copied from class: `CDExpression`
Prints itself as an expression.

Throws:
  `java.io.IOException`